Opened 3 years ago

Closed 3 years ago

#49463 closed defect (duplicate)

Error: Unable to upgrade port: 1

Reported by: sambrott@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc:
Port: gcc48

Description

Upgraded to MacOS 10.11 and updated MacPorts to 2.3.4. Problem is that 'port upgrade outdated' fails with 'Error: Unable to upgrade port: 1'. The log file (attached) did not help me much. I would greatly appreciate any advice. Thank you, Ray Sambrotto

Attachments (1)

main.log (57.6 KB) - added by sambrott@… 3 years ago.
main.log from failed upgrade outdated

Download all attachments as: .zip

Change History (3)

Changed 3 years ago by sambrott@…

Attachment: main.log added

main.log from failed upgrade outdated

comment:1 Changed 3 years ago by mdeaudelin (Mathieu Deaudelin-Lemay)

This problem is caused by a known incompatibility between the command-line developer tools for OS X 10.11 and the gcc48 port. Further explanations and possible workarounds are provided in the related bug report.

Duplicate of #48471.

comment:2 Changed 3 years ago by ryandesign (Ryan Schmidt)

Port: gcc48 added
Resolution: duplicate
Status: newclosed
Type: updatedefect
Note: See TracTickets for help on using tickets.